package org.mycompany.service.db.service;

import java.util.Arrays;
import java.util.Date;

import javax.jws.WebService;

import org.mycompany.service.db.api.MyDBService;
import org.mycompany.service.db.api.MyDBServiceException;
import org.mycompany.service.db.jaxb.Concept;
import org.mycompany.service.db.jaxb.ConceptType;

@WebService(targetNamespace = "http://service.mycompany.org/", endpointInterface = "org.mycompany.service.db.api.MyDBService")
public class MyDBServiceImpl implements MyDBService {

	@Override
	public Concept addConcept(String id, String creator, ConceptType type) throws MyDBServiceException {
		return new Concept(id, new Date(), creator, Arrays.asList(type));
	}
}
