package org.mycompany.service.db.jaxb;

import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

import javax.xml.bind.DatatypeConverter;

public class XSDateTimeCustomBinder {

	public static Date parseDateTime(String dateTime) {
		return DatatypeConverter.parseDate(dateTime).getTime();
	}

	public static String printDateTime(Date date) {
		final Calendar cal = new GregorianCalendar();

		cal.setTime(date);

		return DatatypeConverter.printDateTime(cal);
	}
}
